<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<title> JSON </title>
	<script>
		window.onload = init;

		function init() {
			addElement();
		}

		var fidoString = '{ "name": "Fido", "breed": "Mixed", "weight": 38 }';
		var fido = JSON.parse(fidoString);
		console.log("We have made a dog out of a string! " + fido.name);


		var fido2 = {
			name: "Fido",
			breed: "Mixed",
			weight: 38
		};
		var fidoString = JSON.stringify(fido2);
		console.log("We made a string from a dog! " + fidoString);

		var uusiOlio = {
			name: {
				first: "Jesse",
				second: "Nygren"
			},
			school: "Metropolia",
			age: "25"
		}

		function addElement() {

			// Luodaan ul-elementti ja annetaan sille sisältöä
			var newDiv = document.createElement('DIV');
			var div2 = document.createElement('DIV');
			var stringify = document.createTextNode(JSON.stringify(uusiOlio));
			newDiv.appendChild(stringify);

			var name = uusiOlio.name;
			
			var nameString = document.createTextNode(JSON.stringify(name));
			
			div2.appendChild(nameString);

			document.body.appendChild(newDiv);
			document.body.appendChild(div2);
			
		}
	</script>
</head>

<body>

</body>

</html>
